Bug 215789

Summary: Enable WeakRefs/FinalizationRegistries by default.
Product: WebKit Reporter: Keith Miller <keith_miller>
Component: New BugsAssignee: Keith Miller <keith_miller>
Status: RESOLVED FIXED    
Severity: Normal CC: ews-watchlist, mark.lam, msaboff, saam, tzagallo, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Keith Miller 2020-08-24 18:08:31 PDT
Enable WeakRefs/FinalizationRegistries by default.
Comment 1 Keith Miller 2020-08-24 18:08:55 PDT
Created attachment 407155 [details]
Patch
Comment 2 Keith Miller 2020-08-24 18:10:25 PDT
Created attachment 407156 [details]
Patch
Comment 3 Keith Miller 2020-08-24 18:11:28 PDT
Comment on attachment 407156 [details]
Patch

Need to fix my fixme first.
Comment 4 Radar WebKit Bug Importer 2020-08-31 18:09:10 PDT
<rdar://problem/68110816>
Comment 5 Keith Miller 2020-10-09 12:14:49 PDT
Created attachment 410961 [details]
Patch
Comment 6 Yusuke Suzuki 2020-10-09 12:16:59 PDT
Comment on attachment 410961 [details]
Patch

r=me
Comment 7 EWS 2020-10-09 13:04:18 PDT
Committed r268284: <https://trac.webkit.org/changeset/268284>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 410961 [details].